"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index_es = require("../../inherits-browser/dist/index.es.js");
const Viewer = require("./Viewer.js");
const index = require("../../diagram-js/lib/navigation/keyboard-move/index.js");
const index$1 = require("../../diagram-js/lib/navigation/movecanvas/index.js");
const index$2 = require("../../diagram-js/lib/navigation/zoomscroll/index.js");
function o(t) {
  Viewer.default.call(this, t);
}
index_es.default(o, Viewer.default);
o.prototype._navigationModules = [
  index.default,
  index$1.default,
  index$2.default
];
o.prototype._modules = [].concat(
  Viewer.default.prototype._modules,
  o.prototype._navigationModules
);
exports.default = o;
